#
# spec file for package rubygem-dotenv-0_11
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-dotenv-0_11
Version:        0.11.1
Release:        lp150.1.4
%define mod_name dotenv
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -0_11
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  update-alternatives
Url:            https://github.com/bkeepers/dotenv
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Loads environment variables from `.env`
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Loads environment variables from `.env`.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="Changelog.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Nov 21 2014 tboerger@suse.com
- Added a new suffixed package
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 0.11.1
  * Depend on dotenv-deployment ~>0.0.2, which fixes issues with 0.0.1
* Sun Feb 23 2014 coolo@suse.com
- updated to version 0.10.0
  * Add support for executing interpolated commands. (Ruby >= 1.9 only)
    HEAD_SHA=$(git rev-parse HEAD)
  * Add `dotenv_role` option in Capistrano.
    set :dotenv_role, [:app, web]
  * Add `Dotenv.overload` to overwrite existing environment values.
* Fri Aug 30 2013 coolo@suse.com
- updated to version 0.9.0
  * Add support for variable expansion.
    HOST="example.com"
    URL="http://${USER}@${HOST}"
    ESCAPED_VARIABLE="this is \$NOT replaced"
  * Allow setting variables without a value.
    BLANK=
  * Add `dotenv` executable to load `.env` for other scripts.
    $ dotenv ./script.py
* Wed Jul 31 2013 coolo@suse.com
- updated to version 0.8.0
  * Added a capistrano recipe to symlink in `.env` on deploy.
  * Allow inline comments
    VARIABLE=value # this is a comment
  * Raises Dotenv::FormatError when parsing fails
  [Full Changelog](https://github.com/bkeepers/dotenv/compare/v0.7.0...v0.8.0)
* Tue Jun  4 2013 coolo@suse.com
- initial package
